#ifndef FISHMATIC_PLUGIN_H
#define FISHMATIC_PLUGIN_H

extern void fishmatic_read_config(void);
extern void fishmatic_write_config(void);

extern void fishmatic_configure(void);
extern void fishmatic_set_stereo_repeat(int repeat);
extern void fishmatic_set_fish_speed(float speed);
extern void fishmatic_set_fish_count(int count);
#if 0
extern void fishmatic_set_tessellation_level(int level);
extern void fishmatic_set_camera_velocity(float velocity);
extern void fishmatic_set_camera_height(float height);
extern void fishmatic_set_fullscreen(gboolean fs);
extern void fishmatic_set_flat_shading(gboolean flat);
extern void fishmatic_set_draw_ground(gboolean draw);
#endif

typedef struct
{
    gint stereo_repeat;
    float fish_speed;
    gint fish_count;
} fishmatic_config;

extern fishmatic_config fishmatic_cfg;

#endif
